# client_ex_2.py
# 09.03.2023

import asyncio
import websockets


async def hello():
    uri = "ws://localhost:8765/some_path_string"
    async with websockets.connect(uri) as websocket:
        name = input("What's your name? ")

        await websocket.send(name)
        print(f">>> {name}")

        greeting = await websocket.recv()
        print(f"<<< {greeting}")

if __name__ == "__main__":
    asyncio.run(hello())